org.wso2.carbon.proxyadmin.stub

## Interface ProxyServiceAdmin

- All Known Implementing Classes:
    ProxyServiceAdminStub

      public interface ProxyServiceAdmin

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `addProxy(ProxyData pd38)` Auto generated method signature
    `String` | `deleteProxyService(String proxyName87)` Auto generated method signature
    `String` | `disableStatistics(String proxyName27)` Auto generated method signature
    `String` | `disableTracing(String proxyName46)` Auto generated method signature
    `String` | `enableStatistics(String proxyName80)` Auto generated method signature
    `String` | `enableTracing(String proxyName68)` Auto generated method signature
    `String[]` | `getAvailableEndpoints()` Auto generated method signature
    `String[]` | `getAvailableSequences()` Auto generated method signature
    `String[]` | `getAvailableTransports()` Auto generated method signature
    `String` | `getEndpoint(String name57)` Auto generated method signature
    `MetaData` | `getMetaData()` Auto generated method signature
    `ProxyData` | `getProxy(String proxyName53)` Auto generated method signature
    `String` | `getSourceView(ProxyData pd72)` Auto generated method signature
    `String` | `modifyProxy(ProxyData pd42)` Auto generated method signature
    `String` | `redeployProxyService(String proxyName34)` Auto generated method signature
    `void` | `startaddProxy(ProxyData pd38, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdeleteProxyService(String proxyName87, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisableStatistics(String proxyName27, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisableTracing(String proxyName46, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startenableStatistics(String proxyName80, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startenableTracing(String proxyName68, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAvailableEndpoints(ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAvailableSequences(ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetAvailableTransports(ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetEndpoint(String name57, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetMetaData(ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetProxy(String proxyName53, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetSourceView(ProxyData pd72, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startmodifyProxy(ProxyData pd42, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `String` | `startProxyService(String proxyName61)` Auto generated method signature
    `void` | `startredeployProxyService(String proxyName34, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startstartProxyService(String proxyName61, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startstopProxyService(String proxyName76, ProxyServiceAdminCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `String` | `stopProxyService(String proxyName76)` Auto generated method signature

- - ### Method Detail

    - #### disableStatistics

          String disableStatistics(String proxyName27)
                                   throws RemoteException,
                                          ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `disableStatistics26` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startdisableStatistics

          void startdisableStatistics(String proxyName27,
                                    ProxyServiceAdminCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `disableStatistics26` -
      Throws:
        `RemoteException`

    - #### getAvailableEndpoints

          String[] getAvailableEndpoints()
                                         throws RemoteException,
                                                ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `getAvailableEndpoints30` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startgetAvailableEndpoints

          void startgetAvailableEndpoints(ProxyServiceAdminCallbackHandler callback)
                                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAvailableEndpoints30` -
      Throws:
        `RemoteException`

    - #### redeployProxyService

          String redeployProxyService(String proxyName34)
                                      throws RemoteException,
                                             ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `redeployProxyService33` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startredeployProxyService

          void startredeployProxyService(String proxyName34,
                                       ProxyServiceAdminCallbackHandler callback)
                                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `redeployProxyService33` -
      Throws:
        `RemoteException`

    - #### addProxy

          String addProxy(ProxyData pd38)
                          throws RemoteException,
                                 Exception

      Auto generated method signature
      Parameters:
        `addProxy37` -
      Throws:
        `Exception` - :
        `RemoteException`

    - #### startaddProxy

          void startaddProxy(ProxyData pd38,
                           ProxyServiceAdminCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `addProxy37` -
      Throws:
        `RemoteException`

    - #### modifyProxy

          String modifyProxy(ProxyData pd42)
                             throws RemoteException,
                                    ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `modifyProxy41` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startmodifyProxy

          void startmodifyProxy(ProxyData pd42,
                              ProxyServiceAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `modifyProxy41` -
      Throws:
        `RemoteException`

    - #### disableTracing

          String disableTracing(String proxyName46)
                                throws RemoteException,
                                       ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `disableTracing45` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startdisableTracing

          void startdisableTracing(String proxyName46,
                                 ProxyServiceAdminCallbackHandler callback)
                                   throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `disableTracing45` -
      Throws:
        `RemoteException`

    - #### getAvailableTransports

          String[] getAvailableTransports()
                                          throws RemoteException,
                                                 ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `getAvailableTransports49` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startgetAvailableTransports

          void startgetAvailableTransports(ProxyServiceAdminCallbackHandler callback)
                                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAvailableTransports49` -
      Throws:
        `RemoteException`

    - #### getProxy

          ProxyData getProxy(String proxyName53)
                             throws RemoteException,
                                    ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `getProxy52` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startgetProxy

          void startgetProxy(String proxyName53,
                           ProxyServiceAdminCallbackHandler callback)
                             throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getProxy52` -
      Throws:
        `RemoteException`

    - #### getEndpoint

          String getEndpoint(String name57)
                             throws RemoteException,
                                    ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `getEndpoint56` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startgetEndpoint

          void startgetEndpoint(String name57,
                              ProxyServiceAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getEndpoint56` -
      Throws:
        `RemoteException`

    - #### startProxyService

          String startProxyService(String proxyName61)
                                   throws RemoteException,
                                          ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `startProxyService60` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startstartProxyService

          void startstartProxyService(String proxyName61,
                                    ProxyServiceAdminCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `startProxyService60` -
      Throws:
        `RemoteException`

    - #### getMetaData

          MetaData getMetaData()
                               throws RemoteException,
                                      ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `getMetaData64` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startgetMetaData

          void startgetMetaData(ProxyServiceAdminCallbackHandler callback)
                                throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getMetaData64` -
      Throws:
        `RemoteException`

    - #### enableTracing

          String enableTracing(String proxyName68)
                               throws RemoteException,
                                      ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `enableTracing67` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startenableTracing

          void startenableTracing(String proxyName68,
                                ProxyServiceAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `enableTracing67` -
      Throws:
        `RemoteException`

    - #### getSourceView

          String getSourceView(ProxyData pd72)
                               throws RemoteException,
                                      ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `getSourceView71` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startgetSourceView

          void startgetSourceView(ProxyData pd72,
                                ProxyServiceAdminCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getSourceView71` -
      Throws:
        `RemoteException`

    - #### stopProxyService

          String stopProxyService(String proxyName76)
                                  throws RemoteException,
                                         ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `stopProxyService75` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startstopProxyService

          void startstopProxyService(String proxyName76,
                                   ProxyServiceAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `stopProxyService75` -
      Throws:
        `RemoteException`

    - #### enableStatistics

          String enableStatistics(String proxyName80)
                                  throws RemoteException,
                                         ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `enableStatistics79` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startenableStatistics

          void startenableStatistics(String proxyName80,
                                   ProxyServiceAdminCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `enableStatistics79` -
      Throws:
        `RemoteException`

    - #### getAvailableSequences

          String[] getAvailableSequences()
                                         throws RemoteException,
                                                ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `getAvailableSequences83` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startgetAvailableSequences

          void startgetAvailableSequences(ProxyServiceAdminCallbackHandler callback)
                                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAvailableSequences83` -
      Throws:
        `RemoteException`

    - #### deleteProxyService

          String deleteProxyService(String proxyName87)
                                    throws RemoteException,
                                           ProxyServiceAdminProxyAdminException

      Auto generated method signature
      Parameters:
        `deleteProxyService86` -
      Throws:
        `ProxyServiceAdminProxyAdminException` - :
        `RemoteException`

    - #### startdeleteProxyService

          void startdeleteProxyService(String proxyName87,
                                     ProxyServiceAdminCallbackHandler callback)
                                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `deleteProxyService86` -
      Throws:
        `RemoteException`

Copyright © 2017 WSO2. All rights reserved.